# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2018"
name = "aptos-api-types"
version = "0.1.0"
authors = ["Aptos Labs <opensource@aptoslabs.com>"]
description = "Aptos API Types"
homepage = "https://aptoslabs.com"
license = "Apache-2.0"
repository = "https://github.com/aptos-labs/aptos-core"
resolver = "2"

[dependencies.anyhow]
version = "1.0.57"

[dependencies.aptos-crypto]
version = "0.1.0"

[dependencies.aptos-state-view]
version = "0.1.0"

[dependencies.aptos-transaction-builder]
version = "0.1.0"

[dependencies.aptos-types]
version = "0.1.0"

[dependencies.aptos-vm]
version = "0.1.0"

[dependencies.bcs]
version = "0.1.3"

[dependencies.hex]
version = "0.4.3"

[dependencies.move-deps]
version = "0.1.0"
features = ["address32"]

[dependencies.serde]
version = "1.0.137"
default-features = false

[dependencies.serde_json]
version = "1.0.81"

[dependencies.warp]
version = "0.3.2"
features = ["default"]

[dev-dependencies.move-deps]
version = "0.1.0"
